Subject: Re: 29.0.50; Bug in regexp matching with shy groups

From: Michael Heerdegen <[email-masked]>
Date: Mon, 24 Oct 2022 04:38:42 +0200

Mattias Engdegård <[email-masked]> writes:

> Please try the attached patch. (The patch takes care of counted
> repetitions for good measure although I wasn't able to provoke a
> failure directly.)

Yes, works for me, thanks.

Unfortunately I can't estimate whether your fix is correct and the right
thing to do, so all I have to offer is that I will run Emacs with your
patch installed and watch for any problems that it may have introduced.

Thanks again,

Michael.